package com.biz;
import java.sql.*; 
public class ScrollableEx{ 
	static{ 
		try{ 
			Class.forName("oracle.jdbc.driver.OracleDriver"); 
		}catch(ClassNotFoundException cnfe){ 
			cnfe.printStackTrace(); 
		} 
	} 
	public static void main(String[] args){ 
		Connection con = null; 
		PreparedStatement pstmt = null; 
		ResultSet rs = null; 
		String sql = null; 
		try{ 
			con = DriverManager.getConnection( 
					"jdbc:oracle:thin:@localhost:1521:xe", 
					"system", 
					"1111"); 
			sql = "SELECT * FROM scrolltest"; 
			pstmt = con.prepareStatement(sql, 
					ResultSet.TYPE_SCROLL_SENSITIVE ,
					ResultSet.CONCUR_UPDATABLE); 

			rs = pstmt.executeQuery(); 
			System.out.println("next()====================="); 
			while (rs.next()){ 
				System.out.println("name : " + rs.getString(1) 
				+ " , gender : " + rs.getString(2)); 
			} 
			System.out.println("previous()=================="); 
			while (rs.previous()){ 
				System.out.println("name : " + rs.getString(1) 
				+ " , gender : " + rs.getString(2)); 
			} 
			System.out.println("first()====================="); 
			rs.first(); 
			System.out.println("name : " + rs.getString(1) 
			+ " , gender : " + rs.getString(2)); 
			System.out.println("last()======================"); 
			rs.last(); 
			System.out.println("name : " + rs.getString(1) 
			+ " , gender : " + rs.getString(2)); 
			System.out.println("absolute(1)================="); 
			rs.absolute(1); 
			System.out.println("name : " + rs.getString(1) 
			+ " , gender : " + rs.getString(2)); 

		}catch (Exception e){ 
			e.printStackTrace(); 
		}finally{ 
			try { 
				if(rs != null)rs.close(); 
				if(pstmt != null)pstmt.close(); 
				if(con != null)con.close(); 
			}catch(SQLException e){ 
			}
		} 
	} 
} 
